#version 410 core
in vec2 vUV;
uniform sampler2DArray uAtlas;
uniform float uLayer;
out vec4 FragColor;
void main() {
    vec4 t = texture(uAtlas, vec3(vUV, uLayer));
    if (t.a < 0.04) discard;
    FragColor = vec4(0.04, 0.03, 0.03, t.a);
}
